## ros-kinetic-katana-gazebo-plugins 1.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(katana_gazebo_plugins)

#add_definitions(-fPIC)

find_package(gazebo REQUIRED)

find_package(catkin REQUIRED COMPONENTS
  control_toolbox
  gazebo_ros
  actionlib
  trajectory_msgs
  control_msgs
  sensor_msgs
  katana_msgs
  trajectory_msgs
)

find_package(Boost REQUIRED COMPONENTS)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES gazebo_ros_katana_gripper
  CATKIN_DEPENDS
  gazebo_ros
  actionlib
  trajectory_msgs
  control_msgs
  sensor_msgs
  katana_msgs
  trajectory_msgs
  DEPENDS
)

# This works on CMake 2.8.11.2 (Ubuntu Saucy) and earlier, where other variants fail:
# - `add_compile_options(-std=c++11)` requires CMake >= 2.8.12 (Ubuntu Trusty)
# - `set_property(TARGET tgt PROPERTY CXX_STANDARD 11)` requires CMake >= 3.1.0
include(CheckCXXCompilerFlag)
CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
if(COMPILER_SUPPORTS_CXX11)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
elseif(COMPILER_SUPPORTS_CXX0X)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
else()
  message(WARNING "The compiler ${CMAKE_CXX_COMPILER} has no C++11 support. Please use a different C++ compiler.")
endif()

include_directories(include ${catkin_INCLUDE_DIRS} ${GAZEBO_INCLUDE_DIRS})
link_directories(${GAZEBO_LIBRARY_DIRS})

add_library(gazebo_ros_katana_gripper src/gazebo_ros_katana_gripper.cpp src/katana_gripper_grasp_controller.cpp src/katana_gripper_joint_trajectory_controller.cpp src/gazebo_ros_katana_gripper_action_interface.cpp)
target_link_libraries(gazebo_ros_katana_gripper ${catkin_LIBRARIES})
add_dependencies(gazebo_ros_katana_gripper ${catkin_EXPORTED_TARGETS})

add_executable(test_gripper_joint_trajectory src/test_gripper_joint_trajectory.cpp)
target_link_libraries(test_gripper_joint_trajectory ${catkin_LIBRARIES})
add_dependencies(test_gripper_joint_trajectory ${catkin_EXPORTED_TARGETS})

install(TARGETS test_gripper_joint_trajectory
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(TARGETS gazebo_ros_katana_gripper
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})


install(DIRECTORY include/${PROJECT_NAME}/
    DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

####

#include_directories(${GAZEBO_INCLUDE_DIRS})
#link_directories(${GAZEBO_LIBRARY_DIRS})

#rosbuild_add_library(gazebo_ros_katana_gripper src/gazebo_ros_katana_gripper.cpp src/katana_gripper_grasp_controller.cpp src/katana_gripper_joint_trajectory_controller.cpp src/gazebo_ros_katana_gripper_action_interface.cpp)
#target_link_libraries(gazebo_ros_katana_gripper ${GAZEBO_LIBRARIES})

#rosbuild_add_executable(test_gripper_joint_trajectory src/test_gripper_joint_trajectory.cpp)
#target_link_libraries(test_gripper_joint_trajectory ${GAZEBO_LIBRARIES} ${Boost_LIBRARIES})

=== debian/changelog ===
ros-kinetic-katana-gazebo-plugins (1.1.2-0xenial) xenial; urgency=high



 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Thu, 01 Jun 2017 22:00:00 -0000

ros-kinetic-katana-gazebo-plugins (1.1.1-0xenial) xenial; urgency=high



 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Thu, 25 May 2017 22:00:00 -0000

ros-kinetic-katana-gazebo-plugins (1.1.0-0xenial) xenial; urgency=high



 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Thu, 25 May 2017 22:00:00 -0000

ros-kinetic-katana-gazebo-plugins (1.0.8-0xenial) xenial; urgency=high



 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Thu, 25 May 2017 22:00:00 -0000

ros-kinetic-katana-gazebo-plugins (1.0.7-0xenial) xenial; urgency=high



 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Fri, 10 Feb 2017 23:00:00 -0000

ros-kinetic-katana-gazebo-plugins (1.0.6-0xenial) xenial; urgency=high

  * Initial release to Kinetic
  * Contributors: Martin Günther

 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Thu, 26 Jan 2017 23:00:00 -0000

ros-kinetic-katana-gazebo-plugins (1.0.5-0xenial) xenial; urgency=high

  * Fix katana_gazebo_plugins compilation on Saucy
  * Contributors: Martin Günther

 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Mon, 11 Apr 2016 22:00:00 -0000

ros-kinetic-katana-gazebo-plugins (1.0.4-0xenial) xenial; urgency=high

  * compile gazebo plugins with c++-11
    This is required with gazebo6 and it's backwards compatible
  * Contributors: Michael Görner

 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Sun, 10 Apr 2016 22:00:00 -0000

ros-kinetic-katana-gazebo-plugins (1.0.3-0xenial) xenial; urgency=high

  * remove dependencies to non-existing cmake targets
  * find_package gazebo instead of using PkgConfig
  * Contributors: Michael Görner

 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Sun, 28 Jun 2015 22:00:00 -0000

ros-kinetic-katana-gazebo-plugins (1.0.2-0xenial) xenial; urgency=high



 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Tue, 05 May 2015 22:00:00 -0000

ros-kinetic-katana-gazebo-plugins (1.0.1-0xenial) xenial; urgency=high



 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Mon, 16 Mar 2015 23:00:00 -0000

ros-kinetic-katana-gazebo-plugins (1.0.0-0xenial) xenial; urgency=high

  * Initial release to Debian packages
  * Contributors: Martin Günther, Henning Deeken, Jochen Sprickerhof, Michael Görner, André Potenza, Karl Glatz

 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Sun, 15 Mar 2015 23:00:00 -0000

=== debian/control ===
Source: ros-kinetic-katana-gazebo-plugins
Section: misc
Priority: extra
Maintainer: Martin Günther <mguenthe@uni-osnabrueck.de>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-actionlib, ros-kinetic-catkin, ros-kinetic-control-msgs, ros-kinetic-control-toolbox, ros-kinetic-gazebo-ros, ros-kinetic-katana-msgs, ros-kinetic-sensor-msgs, ros-kinetic-trajectory-msgs
Homepage: http://ros.org/wiki/katana_gazebo_plugins
Standards-Version: 3.9.2

Package: ros-kinetic-katana-gazebo-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-actionlib, ros-kinetic-control-msgs, ros-kinetic-control-toolbox, ros-kinetic-gazebo-ros, ros-kinetic-katana-msgs, ros-kinetic-sensor-msgs, ros-kinetic-trajectory-msgs
Description: This package provides Gazebo plugins to simulate the Katana arm.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-katana-gazebo-plugins//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
